"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const BookIcon_1 = __importDefault(require("../icons/BookIcon"));
const LineIcon_1 = __importDefault(require("../icons/LineIcon"));
const hasJongSeong_1 = __importDefault(require("../utils/hasJongSeong"));
const buttonName = {
    ko: '이해했어요 !',
    en: 'Got it !',
};
function DescriptionModal({ dictionary, clickedWord, language }) {
    if (clickedWord === '')
        return null;
    const { word, description, imgUrl } = dictionary.filter((item) => item.word === clickedWord)[0];
    const title = getTitle({ word, language });
    return (react_1.default.createElement("div", { className: "wrapper" },
        react_1.default.createElement("div", { className: "description" },
            react_1.default.createElement("div", { className: "title" },
                react_1.default.createElement("div", null,
                    react_1.default.createElement(BookIcon_1.default, null),
                    react_1.default.createElement("span", null, title)),
                react_1.default.createElement("button", { className: "close" }, buttonName[language])),
            react_1.default.createElement(LineIcon_1.default, null),
            imgUrl && react_1.default.createElement("img", { src: imgUrl, alt: "image", className: "description-img" }),
            react_1.default.createElement("p", { className: "content" }, description))));
}
function getTitle({ word, language }) {
    if (language === 'ko') {
        return `${word}${(0, hasJongSeong_1.default)(word) ? '이' : '가'} 뭔가요?`;
    }
    return `What is ${word}?`;
}
exports.default = DescriptionModal;
