"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_2 = require("react");
const InnerComponent_1 = __importDefault(require("./InnerComponent"));
const DescriptionModal_1 = __importDefault(require("./DescriptionModal"));
function Highlighter({ dictionary, children = '', isActivate = false, language = 'en' }) {
    const [clickedWord, setClickedWord] = (0, react_1.useState)('');
    const onClickHandler = (event) => {
        const target = event.target;
        event.stopPropagation();
        if (target.className.includes('highlight')) {
            const nextWord = clickedWord === target.innerHTML ? '' : target.innerHTML;
            setClickedWord(nextWord);
        }
    };
    const closeDictionary = () => {
        setClickedWord('');
    };
    (0, react_2.useEffect)(() => {
        var _a;
        if (!document.querySelector('.close'))
            return;
        (_a = document.querySelector('.close')) === null || _a === void 0 ? void 0 : _a.addEventListener('click', closeDictionary);
    }, [clickedWord]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(InnerComponent_1.default, { onClick: onClickHandler, dictionary: dictionary, clickedWord: clickedWord, isActivate: isActivate }, children),
        react_1.default.createElement(DescriptionModal_1.default, { clickedWord: clickedWord, dictionary: dictionary, language: language })));
}
exports.default = Highlighter;
