"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
function InnerComponent({ children, dictionary, clickedWord, isActivate = false, onClick, }) {
    if (!children)
        return null;
    if (!isActivate)
        return react_1.default.createElement(react_1.default.Fragment, null, children);
    const keyArr = dictionary.map((item) => item.word);
    let highlightedContent = children;
    keyArr.forEach((word) => {
        highlightedContent = highlightedContent.replace(word, match => clickedWord === word
            ? `<span class="highlight active">${match}</span>`
            : `<span class="highlight">${match}</span>`);
    });
    return react_1.default.createElement("div", { dangerouslySetInnerHTML: { __html: highlightedContent }, onClick: onClick });
}
exports.default = InnerComponent;
